package bootstrap

import (
	"designs/config"

	"github.com/go-ini/ini"
)

func InitializeConfig(configPath string) {
	cfg, err := ini.Load(configPath)
	if err != nil {
		panic(err)
	}

	envMap := cfg.Section("").KeysHash()

	if err := config.InitConfig(envMap, &config.RootConfig); err != nil {
		panic(err)
	}

}
